get_node_attrs {DiagrammeR} | R Documentation

## Get node attribute values

### Description

From a graph object of class `dgr_graph`, get node attribute values for one or more nodes.

### Usage

    get_node_attrs(graph, node_attr, nodes = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`node_attr` | the name of the attribute for which to get values.
`nodes` | an optional vector of node IDs for filtering list of nodes present in the graph or node data frame.

### Value

a named vector of node attribute values for the attribute given by `node_attr` by node ID.

### Examples

    # Create a random graph and
    # incorporate the node attribute
    # called `value`
    graph <-
      create_random_graph(
        n = 4, m = 4,
        set_seed = 23)

    # Get all of the values from
    # the `value` node attribute
    # as a named vector
    graph %>%
      get_node_attrs(
        node_attr = value)
    #>   1   2   3   4
    #> 6.0 2.5 3.5 7.5

    # To only return node attribute
    # values for specified nodes,
    # use the `nodes` argument
    graph %>%
      get_node_attrs(
        node_attr = value,
        nodes = c(1, 3))
    #>   1   3
    #> 6.0 3.5

[Package DiagrammeR version 0.9.2 Index]